﻿using System;
using System.Windows.Forms;

namespace styczen2024paszporty
{
    public partial class Form1 : Form
    {
        string kolorOczu="niebieskie";
        public Form1()
        {
            InitializeComponent();
        }
        //parametr to odczytany prefiks z TextBoxa
        bool LadujGrafike(string p)
        {
            //przechwyć wyjątek
            try
            {
                pictureBox1.Load(p + "-zdjecie.jpg");
                pictureBox2.Load(p + "-odcisk.jpg");
                return true;
            }
            //gdy nie ma pliku graficznego to obsłuż wyjątek
            //braku pliku- wyśłij komunikat ze ścieżką ładowanego pliku
            catch(Exception e)
            {
               MessageBox.Show($"Brak pliku w lokalizacji\n{e.Message}");
               return false;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //załaduj grafikę
            if(LadujGrafike(textBox1.Text)==false)return;
            //tresc komunikatu
            string tresc = $"{textBox2.Text} {textBox3.Text} kolor oczu {kolorOczu}";
            if (textBox2.Text != "" && textBox3.Text != "")
                MessageBox.Show(tresc,"Komunikat",MessageBoxButtons.OK);
                else
                MessageBox.Show("Wprowadź dane","Komunikat",MessageBoxButtons.OK);
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            //kolor oczu
            RadioButton rb=sender as RadioButton;
            //zapamiętaj aktywny kolor oczu
            if(rb.Checked)kolorOczu=rb.Text;
        }

    }
}